Package com.orchestranetworks.dataservices.rest

# Interface Constants.Dataspace

Enclosing interface:
  Constants

public static interface Constants.Dataspace
Dataspace keys and parameters.

Since:
  6.0.0
See Also:
  - Dataspace operations

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PARAM_DATASPACE`
  `static final String`
  `PARAM_DELETE_DATA_ON_CLOSE`
  `static final String`
  `PARAM_DELETE_DATA_ON_MERGE`
  `static final String`
  `PARAM_DELETE_HISTO_ON_CLOSE`
  `static final String`
  `PARAM_DELETE_HISTO_ON_MERGE`
  `static final String`
  `PARAM_DURATION_TO_WAIT_FOR_LOCK`
  `static final String`
  `PARAM_FORCE_BY_ADMINISTRATOR`
  `static final String`
  `PARAM_INCLUDE_ADMINISTRATION`
  `static final String`
  `PARAM_INCLUDE_CLOSED`
  `static final String`
  `PARAM_INCLUDE_INITIAL`
  `static final int`
  `VALUE_DURATION_TO_WAIT_FOR_LOCK_DEFAULT`
  `static final String`
  `VALUE_DURATION_TO_WAIT_FOR_LOCK_DEFAULT_STRING`
  `static final int`
  `VALUE_DURATION_TO_WAIT_FOR_LOCK_MAXIMUM_IN_SECONDS`
  `static final String`
  `VALUE_FORCE_BY_ADMINISTRATOR_DEFAULT`
  `static final String`
  `VALUE_INCLUDE_ADMINISTRATION_DEFAULT`
  `static final String`
  `VALUE_INCLUDE_CLOSED_DEFAULT`
  `static final String`
  `VALUE_INCLUDE_INITIAL_DEFAULT`

- ## Field Details

  - ### PARAM_DATASPACE

    static final String PARAM_DATASPACE
    See Also:
      - `{dataspace}` path parameter
      - Constant Field Values

  - ### PARAM_DELETE_DATA_ON_CLOSE

    static final String PARAM_DELETE_DATA_ON_CLOSE
    See Also:
      - `deleteDataOnClose` query parameter
      - Constant Field Values

  - ### PARAM_DELETE_DATA_ON_MERGE

    static final String PARAM_DELETE_DATA_ON_MERGE
    See Also:
      - `deleteDataOnMerge` query parameter
      - Constant Field Values

  - ### PARAM_DELETE_HISTO_ON_CLOSE

    static final String PARAM_DELETE_HISTO_ON_CLOSE
    See Also:
      - `deleteHistoryOnClose` query parameter
      - Constant Field Values

  - ### PARAM_DELETE_HISTO_ON_MERGE

    static final String PARAM_DELETE_HISTO_ON_MERGE
    See Also:
      - `deleteHistoryOnMerge` query parameter
      - Constant Field Values

  - ### PARAM_DURATION_TO_WAIT_FOR_LOCK

    static final String PARAM_DURATION_TO_WAIT_FOR_LOCK
    See Also:
      - `durationToWaitForLock` query parameter
      - Constant Field Values

  - ### VALUE_DURATION_TO_WAIT_FOR_LOCK_DEFAULT

    static final int VALUE_DURATION_TO_WAIT_FOR_LOCK_DEFAULT
    See Also:
      - `PARAM_DURATION_TO_WAIT_FOR_LOCK`
      - Constant Field Values

  - ### VALUE_DURATION_TO_WAIT_FOR_LOCK_MAXIMUM_IN_SECONDS

    static final int VALUE_DURATION_TO_WAIT_FOR_LOCK_MAXIMUM_IN_SECONDS
    See Also:
      - `PARAM_DURATION_TO_WAIT_FOR_LOCK`
      - Constant Field Values

  - ### VALUE_DURATION_TO_WAIT_FOR_LOCK_DEFAULT_STRING

    static final String VALUE_DURATION_TO_WAIT_FOR_LOCK_DEFAULT_STRING
    See Also:
      - `PARAM_DURATION_TO_WAIT_FOR_LOCK`
      - Constant Field Values

  - ### PARAM_FORCE_BY_ADMINISTRATOR

    static final String PARAM_FORCE_BY_ADMINISTRATOR
    See Also:
      - `forceByAdministrator` query parameter
      - Constant Field Values

  - ### VALUE_FORCE_BY_ADMINISTRATOR_DEFAULT

    static final String VALUE_FORCE_BY_ADMINISTRATOR_DEFAULT
    See Also:
      - `PARAM_FORCE_BY_ADMINISTRATOR`
      - Constant Field Values

  - ### PARAM_INCLUDE_ADMINISTRATION

    static final String PARAM_INCLUDE_ADMINISTRATION
    See Also:
      - `includeAdministration` query parameter
      - Constant Field Values

  - ### VALUE_INCLUDE_ADMINISTRATION_DEFAULT

    static final String VALUE_INCLUDE_ADMINISTRATION_DEFAULT
    See Also:
      - `PARAM_INCLUDE_ADMINISTRATION`
      - Constant Field Values

  - ### PARAM_INCLUDE_CLOSED

    static final String PARAM_INCLUDE_CLOSED
    See Also:
      - `includeClosed` query parameter
      - Constant Field Values

  - ### VALUE_INCLUDE_CLOSED_DEFAULT

    static final String VALUE_INCLUDE_CLOSED_DEFAULT
    See Also:
      - `PARAM_INCLUDE_CLOSED`
      - Constant Field Values

  - ### PARAM_INCLUDE_INITIAL

    static final String PARAM_INCLUDE_INITIAL
    See Also:
      - Constant Field Values

  - ### VALUE_INCLUDE_INITIAL_DEFAULT

    static final String VALUE_INCLUDE_INITIAL_DEFAULT
    See Also:
      - `PARAM_INCLUDE_INITIAL`
      - Constant Field Values